System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.XmlSerializationGeneratedCode

During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for serialization that is derived from the abstract class. is also implemented within the .NET Framework for serialization of and objects into XML documents.

You should not derive classes from . Instead, call the method.

Represents an abstract class used for controlling serialization by the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for serialization that is derived from . During this process, the .NET Framework generates write methods that implement the delegate. It does so for certain mappings between .NET Framework types and XML data types that are serialized via SOAP-encoded XML and are not root elements. Then, as necessary, a write method is called during serialization.

  You should not directly create an instance of .

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Stores an implementation of the delegate and the type it applies to, for a later invocation.

  The of objects that are serialized. The name of the type of objects that are serialized. The namespace of the type of objects that are serialized. An instance of the delegate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates an unexpected name for an element that adheres to an XML Schema choice element declaration.

  The newly created exception.

  The name that is not valid. The choice element declaration that the name belongs to. The expected local name of an element. The expected namespace of an element.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` To be added.

  Creates an that indicates the which has been invalidly applied to a member; only members that are of type , or derived from , are valid.

  The newly created exception.

  The object that represents the invalid member.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` To be added.

  Creates an that indicates the which has been invalidly applied to a member; only members that are of type , or derived from , are valid.

  The newly created exception.

  The that is invalid.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates a failure while writing an array where an XML Schema choice element declaration is applied.

  The newly created exception.

  The type being serialized. A name for the choice element declaration.
- Method
  2.0.0.0
  4.0.0.0
  System.Exception `` `` To be added.

  Creates an for an invalid enumeration value.

  The newly created exception.

  An object that represents the invalid enumeration. The XML type name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a value for an XML element does not match an enumeration type.

  The newly created exception.

  The value that is not valid. The name of the XML element with an invalid value. The valid value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that an XML element that should adhere to the XML Schema any element declaration cannot be processed.

  The newly created exception.

  The XML element that cannot be processed. The namespace of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a type being serialized is not being used in a valid manner or is unexpectedly encountered.

  The newly created exception.

  The object whose type cannot be serialized.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Creates an that indicates that a type being serialized is not being used in a valid manner or is unexpectedly encountered.

  The newly created exception.

  The type that cannot be serialized.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The method writes valid XML from invalid sources. For example, the property of the class can contain spaces, which are invalid as XML. The method reads the encoded XML and restores it to the original value. However, the method of the cannot read such encoded XML. In that case, set the property to false to disable the encoding of the XML.

  Gets or sets a value that indicates whether the method is used to write valid XML.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Rather than return a string as other similar "from" methods, the static method returns the original byte[] object to improve performance and conserve memory.

  Processes a base-64 byte array.

  The same byte array that was passed in as an argument.

  A base-64 array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string from an input hexadecimal byte array.

  The byte array value converted to a string.

  A hexadecimal byte array to translate to a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string from an input .

  The value converted to a string.

  A to translate to a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string from a object.

  A string representation of the that shows the date but no time.

  A to translate to a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string from an input .

  A string representation of the that shows the date and time.

  A to translate to a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string that consists of delimited identifiers that represent the enumeration members that have been set.

  A string that consists of delimited identifiers, where each represents a member from the set enumerator list.

  The enumeration value as a series of bitwise OR operations. The enumeration's name values. The enumeration's constant values.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Takes a numeric enumeration value and the names and constants from the enumerator list for the enumeration and returns a string that consists of delimited identifiers that represent the enumeration members that have been set.

  A string that consists of delimited identifiers, where each item is one of the values set by the bitwise operation.

  The enumeration value as a series of bitwise OR operations. The values of the enumeration. The constants of the enumeration. The name of the type
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Produces a string from a object.

  A string representation of the object that shows the time but no date.

  A that is translated to a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Encodes a valid XML name by replacing characters that are not valid with escape sequences.

  An encoded string.

  A string to be used as an XML name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of the class are intended for use by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Encodes a valid XML local name by replacing characters that are not valid with escape sequences.

  An encoded string.

  A string to be used as a local (unqualified) XML name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Encodes an XML name.

  An encoded string.

  An XML name to be encoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Encodes a space-delimited sequence of XML names into a single XML name.

  An encoded string.

  A space-delimited sequence of XML names to be encoded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Returns an XML qualified name, with invalid characters replaced by escape sequences.

  An XML qualified name, with invalid characters replaced by escape sequences.

  An that represents the XML to be written.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added.

  Produces a string that can be written as an XML qualified name, with invalid characters replaced by escape sequences.

  An XML qualified name, with invalid characters replaced by escape sequences.

  An that represents the XML to be written. true to ignore empty spaces in the string; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  During initialization, the .NET Framework XML serialization infrastructure dynamically generates and compiles a temporary class for serialization that is derived from . During this process, the .NET Framework generates write methods that implement the delegate. It does so for certain mappings between .NET Framework types and XML data types that are serialized using SOAP-encoded XML and are not root elements. Then, as necessary, a write method is called during serialization.

  The abstract method is where the temporary derived class creates an instance of and initializes write callback methods.

  You should not directly create an instance of .

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Initializes an instances of the delegate to serialize SOAP-encoded XML data.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList To be added: an object of type 'System.Collections.ArrayList'

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets or sets a list of XML qualified name objects that contain the namespaces and prefixes used to produce qualified names in XML documents.

- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is static.

  Gets a dynamically generated assembly by name.

  A dynamically generated assembly.

  The full name of the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element and to be referenced any number of times by substitute elements. The method helps keep track of the objects that can be serialized as multiRef elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Initializes object references only while serializing a SOAP-encoded SOAP message.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs an object to write an XML attribute that has no namespace specified for its name.

  The local name of the XML attribute. The value of the XML attribute as a byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs the to write an XML attribute that has no namespace specified for its name.

  The local name of the XML attribute. The value of the XML attribute as a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Instructs an object to write an XML attribute.

  The local name of the XML attribute. The namespace of the XML attribute. The value of the XML attribute as a byte array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML attribute.

  The local name of the XML attribute. The namespace of the XML attribute. The value of the XML attribute as a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML attribute where the namespace prefix is provided manually.

  The namespace prefix to write. The local name of the XML attribute. The namespace represented by the prefix. The value of the XML attribute as a string.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML node object within the body of a named XML element.

  The XML node to write, possibly a child XML element. The local name of the parent XML element to write. The namespace of the parent XML element to write. true to write an xsi:nil='true' attribute if the object to serialize is null; otherwise, false. true to indicate that the node, if an XML element, adheres to an XML Schema any element declaration; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Instructs an object to write an object within the body of a named XML element.

  The XML node to write, possibly a child XML element. The local name of the parent XML element to write. The namespace of the parent XML element to write. true to write an xsi:nil='true' attribute if the object to serialize is null; otherwise, false. true to indicate that the node, if an XML element, adheres to an XML Schema any element declaration; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified qualified name in its body.

  The local name of the XML element. The name to write, using its prefix if namespace-qualified, in the element text.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified qualified name in its body.

  The local name of the XML element. The namespace of the XML element. The name to write, using its prefix if namespace-qualified, in the element text.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified qualified name in its body.

  The local name of the XML element. The name to write, using its prefix if namespace-qualified, in the element text. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified qualified name in its body.

  The local name of the XML element. The namespace of the XML element. The name to write, using its prefix if namespace-qualified, in the element text. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element to be written without namespace qualification. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element with a specified value in its body.

  The local name of the XML element. The namespace of the XML element. The text value of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element whose body is empty.

  The local name of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an XML element whose body is empty.

  The local name of the XML element to write. The namespace of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes a <closing> element tag.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes a <closing> element tag.

  The object being serialized.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times by href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes an id attribute that appears in a SOAP-encoded multiRef element.

  The object being serialized.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes the namespace declaration attributes.

  The XML namespaces to declare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML element whose body contains a valid XML qualified name. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The XML qualified name to write in the body of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes an XML element whose body contains a valid XML qualified name. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The XML qualified name to write in the body of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML element that contains a string as the body. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The string to write in the body of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes a byte array as the body of an XML element. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The byte array to write in the body of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML element that contains a string as the body. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The string to write in the body of the XML element. The name of the XML Schema data type to be written to the xsi:type attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes an XML element that contains a string as the body. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The string to write in the body of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes a byte array as the body of an XML element. inserts an xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The byte array to write in the body of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes an XML element that contains a string as the body. inserts a xsi:nil='true' attribute if the string's value is null.

  The local name of the XML element to write. The namespace of the XML element to write. The string to write in the body of the XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML element with an xsi:nil='true' attribute.

  The local name of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing SOAP-encoded XML, as described in Section 5 of the SOAP 1.1 specification.

  Writes an XML element with an xsi:nil='true' attribute.

  The local name of the XML element to write. The namespace of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes an XML element with an xsi:nil='true' attribute.

  The local name of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  When set to true, the nil attribute from the XML Schema instance namespace (abbreviated xsi) indicates a null value.

  The method is called only when writing literal XML that can be defined in an XML Schema document.

  Writes an XML element with an xsi:nil='true' attribute.

  The local name of the XML element to write. The namespace of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a <multiRef> element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that can contain a reference to a <multiRef> XML element for a given object.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized either in the current XML element or a multiRef element that is referenced by the current element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a <multiRef> element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that can contain a reference to a <multiRef> XML element for a given object.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized either in the current XML element or a multiRef element that referenced by the current element. The type stored in the object's type mapping (as opposed to the object's type found directly through the typeof operation).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that can contain a reference to a <multiRef> XML element for a given object.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized either in the current XML element or a multiRef element that is referenced by the current element. The type stored in the object's type mapping (as opposed to the object's type found directly through the typeof operation). true to serialize the object directly into the XML element rather than make the element reference another element that contains the data; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that can contain a reference to a multiRef XML element for a given object.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized either in the current XML element or a multiRef element that referenced by the current element. The type stored in the object's type mapping (as opposed to the object's type found directly through the typeof operation). true to serialize the object directly into the XML element rather than make the element reference another element that contains the data; otherwise, false. true to write an xsi:nil='true' attribute if the object to serialize is null; otherwise, false.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlWriter To be added: an object of type 'System.Xml.XmlWriter'

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Gets or sets the that is being used by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Serializes objects into SOAP-encoded multiRef XML elements in a SOAP message.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that contains a reference to a multiRef element for a given object.

  The local name of the referencing element being written. The namespace of the referencing element being written. The object being serialized.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  SOAP encoding allows a unique XML element to appear once within a SOAP message as a multiRef element identified by an id attribute. The id value can be referenced multiple times using href attributes (or ref attributes in SOAP 1.2) in substitute elements.

  SOAP encoding is described in Section 5 of the SOAP 1.1 specification.

  Writes a SOAP message XML element that contains a reference to a multiRef element for a given object.

  The local name of the referencing element being written. The namespace of the referencing element being written. The object being serialized. true to write an xsi:nil='true' attribute if the object to serialize is null; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The result element is defined in the namespace "http://www.w3.org/2002/12/soap-rpc".

  Writes a SOAP 1.2 RPC result element with a specified qualified name in its body.

  The local name of the result body. The namespace of the result body.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an object that uses custom XML formatting as an XML element.

  An object that implements the interface that uses custom XML formatting. The local name of the XML element to write. The namespace of the XML element to write. true to write an xsi:nil='true' attribute if the class object is null; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added.

  Instructs to write an object that uses custom XML formatting as an XML element.

  An object that implements the interface that uses custom XML formatting. The local name of the XML element to write. The namespace of the XML element to write. true to write an xsi:nil='true' attribute if the object is null; otherwise, false. true to ignore writing the opening element tag; otherwise, false to write the opening element tag.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes the XML declaration if the writer is positioned at the start of an XML document.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write. The namespace of the XML element to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write. The namespace of the XML element to write. true to write the element name with a prefix if none is available for the specified namespace; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized as an XML element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized as an XML element. true to write the element name with a prefix if none is available for the specified namespace; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added.

  Writes an opening element tag, including any attributes.

  The local name of the XML element to write. The namespace of the XML element to write. The object being serialized as an XML element. true to write the element name with a prefix if none is available for the specified namespace; otherwise, false. An instance of the class that contains prefix and namespace pairs to be used in the generated XML.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The xsi:type attribute explicitly indicates the XML Schema data type. The prefix xsi refers to the XML Schema instance namespace.

  Writes an XML element whose text body is a value of a simple XML Schema data type.

  The local name of the element to write. The namespace of the element to write. The object to be serialized in the element body. true if the XML element explicitly specifies the text value's type using the xsi:type attribute; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes a base-64 byte array.

  The byte array to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes a specified string value.

  The value of the string to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes the specified as an XML attribute.

  The XML node to write.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  Writes the specified object as an XML attribute.

  The XML node to write. An object (or null) used to generate a qualified name value for an arrayType attribute from the Web Services Description Language (WSDL) namespace ("http://schemas.xmlsoap.org/wsdl/").
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The protected members of are intended for use only by derived classes that are used internally within the .NET Framework XML serialization infrastructure.

  The xsi:type attribute explicitly indicates the XML Schema data type. The prefix xsi refers to the XML Schema instance namespace.

  Writes an xsi:type attribute for an XML element that is being serialized into a document.

  The local name of an XML Schema data type. The namespace of an XML Schema data type.